Holger's Java API

## com.antelmann.db
Class LockEntry

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.LockEntry

All Implemented Interfaces:
  Timed, DBEntry, Serializable

    public class LockEntry

extends AbstractDBEntry
implements Timed

Since:
  27.04.2011, 19:45:56
Author:
  holger
See Also:
  `LockManager`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`LockEntry(Object id, DBReference ref, String who, String where, long when, String why, String token)`

Method Summary
`DBReference` `getReference()`
`long` `getTime()`
`String` `getToken()`
`Date` `getWhen()`
`String` `getWhere()`
`String` `getWho()`
`String` `getWhy()`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockEntry

    public LockEntry(Object id,
                     DBReference ref,
                     String who,
                     String where,
                     long when,
                     String why,
                     String token)

Method Detail

### getReference

    public DBReference getReference()

### getWho

    public String getWho()

### getWhere

    public String getWhere()

### getWhy

    public String getWhy()

### getWhen

    public Date getWhen()

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### getToken

    public String getToken()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads